Subscriptions Integration for Currency Switcher updated to version 1.1.1.140331-beta

Subscriptions Integration Add-on for Currency Switcher for WooCommerce 2.0.x/2.1.x has been updated to version 1.1.1.140331-beta. This update lays the foundation for full integration with WooCommerce Subscriptions plugin and brings the following improvements and fixes:

  • Fixed a minor bug that generated a warning message at every page load.

How to get latest version

You can download the plugin from the product page, free of charge. Support can be purchased separately.

Currency Switcher for WooCommerce 2.0.x/2.1.x updated to version 3.2.24.140327

Currency Switcher for WooCommerce 2.0.x/2.1.x has been updated to version 3.2.24.140327. This update lays the foundation for full integration with WooCommerce Subscriptions plugin and brings the following improvements and fixes:

  • Refactored logging mechanism to remove conflict with WooCommerce auto-update. Original mechanism could invoke the logger while WooCommerce was being updated, thus making the auto-update fail.
  • Defaulted all log messages as “debug” by default, to reduce the amount of logging.

How to get latest version

New customers

Simply place your order and you will get the latest version.

Existing customers

You should be able to download the updated file using the link you received with your order. If the link doesn’t work, please contact Support to receive the latest version. Thanks.

Subscriptions integration (Beta) for Currency Switcher is now available

Subscriptions integration for Currency Switcher is now available for download, free of charge. This new add-on extends the Currency Switcher, adding automatic conversion for subscriptions. Installation is as easy as uploading the plugin and activating it, then subscription conversion will be handled automatically.

Important

This plugin is still in Beta and it may contain bugs, we do not recommend to use it in a production site yet. Also, the plugin has the following limitations:

  • It doesn’t yet allow manual pricing for subscriptions. Prices are converted only using the exchange rates configured in Currency Switcher Options page.
  • It support only simple subscriptions. Support for variable subscription is being implemented.

Before installing it, please make sure that you read the requirements on the product page, as the latest versions of both the Currency Switcher and the Subscriptions plugins are needed for it to work correctly.

You can download the plugin from the product pagefree of charge. Support can be purchased separately.

Currency Switcher for WooCommerce 2.0.x/2.1.x updated to version 3.2.22.140324

Currency Switcher for WooCommerce 2.0.x/2.1.x has been updated to version 3.2.22.140324. This update lays the foundation for full integration with WooCommerce Subscriptions plugin and brings the following improvements and fixes:

  • Addew and modified filters:
    • Replaced wc_currencyswitcher_product_admin_view_load with wc_aelia_currencyswitcher_product_pricing_view_load.
    • Replaced wc_currencyswitcher_product_convert_callback with wc_aelia_currencyswitcher_product_convert_callback.
    • Added wc_aelia_currencyswitcher_variation_product_pricing_view_load and wc_aelia_currencyswitcher_simple_product_admin_view_load. Read more

Currency Switcher for WooCommerce 2.0.x/2.1.x updated to version 3.2.20.140319

Currency Switcher for WooCommerce 2.0.x/2.1.x has been updated to version 3.2.20.140319. This update brings the following improvements and fixes:

  • Added explicit loading of WooCommerce Admin CSS when rendering plugin settings page. This will make sure that the Currency Switcher Options page will look consistent across different environments.
  • Corrected invalid reference to settings key in WC_Aelia_CurrencySwitcher_Settings class. This caused some notice messages to appear on the Currency Switcher Options page. Read more

Currency Switcher for WooCommerce 2.0.x/2.1.x updated to version 3.2.15.140311

Currency Switcher for WooCommerce 2.0.x/2.1.x has been updated to version 3.2.15.140311. This update brings the following improvements and fixes:

  • Updated jQuery Chosen library to version 1.1.0 (and fixed a couple of cosmetic issues caused by some bugs in such version).
  • Removed debug code.

Please note that compatibility with WooCommerce 2.1.x is still being improved and there may be minor issues to be addressed.

How to get latest version

New customers

Simply place your order and you will get the latest version.

Existing customers

You should be able to download the updated file using the link you received with your order. If the link doesn’t work, please contact Support to receive the latest version. Thanks.